@import url('https://fonts.googleapis.com/css?family=Kalam|Montserrat&display=swap');

.traduction{
    list-style: none;
    display: flex;
    flex-flow: row nowrap;
    width: 10%;
    position: absolute;
    top:2%;
    left: 86%;
    font-size: 1.4em;

}

.traduction p {
    width:100% ;/* pour que les drapeaux soient visiblent sur firefox*/
    z-index: 99999999999999999999;
}

.traduction p:nth-child(1){
    margin-right: 0;
    text-align: center;

}

.traduction p a{
    color: black;

}

.traduction p a img{
    height: auto;
    width: 30%;
    -webkit-animation-name: rollIn;
    animation-name: rollIn;
    animation-duration: 4s;

}
@-webkit-keyframes rollIn {
    from {
        opacity: 0;
        -webkit-transform: translate3d(-100%, 0, 0) rotate3d(0, 0, 1, -120deg);
        transform: translate3d(-100%, 0, 0) rotate3d(0, 0, 1, -120deg);
    }

    to {
        opacity: 1;
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }
}

@keyframes rollIn {
    from {
        opacity: 0;
        -webkit-transform: translate3d(-100%, 0, 0) rotate3d(0, 0, 1, -120deg);
        transform: translate3d(-100%, 0, 0) rotate3d(0, 0, 1, -120deg);
    }

    to {
        opacity: 1;
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }
}

/*Menu hamburgeur*/

.hamburgeur{
    display: none;
}
.close{
    display: none;
}

.is-invalid{
    color:red;
    float: right;
}

body{
    font-family: 'Montserrat', sans-serif;
}

h1,h2,h3,nav{
    font-family: 'Kalam', cursive;
    font-style: italic;
    font-weight: bold;
}
h1{
    font-size: 2.2em;
    color: white;
}

h2{
    font-size: 1.8em;
}

h3{
  font-size: 1.6em;
}

nav ul li:hover,#aPropos p a:nth-of-type(1):hover{
    transform: scale(1.1);
}



#menu{
    /*margin-top: 1%;*/
    /*width: 30%;*/
    /*margin-bottom: 1.2%;*/
    /*margin-left: 42%;*/
    /*font-size: 1.3em;*/
    /*z-index: 99999999;*/
    margin-top: 1%;
    width: 35%;
    margin-bottom: 1.2%;
    margin-left: 38%;
    font-size: 1.3em;
    z-index: 99999999;
}

.animeNav{
    -webkit-animation-name: fadeInDown;
    animation-name: fadeInDown;
    animation-duration: 3s;
}

/*Keyframe animation menu*/
@-webkit-keyframes fadeInDown {
    from {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
    }

    to {
        opacity: 1;
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }
}

@keyframes fadeInDown {
    from {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
    }

    to {
        opacity: 1;
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }
}

#menu ul {
    display: flex;
    justify-content: space-around;
}

#menu ul li {
    padding: 1.2%;
}

/*#menu ul li:not(:nth-child(5)):hover {*/
/*    text-decoration: underline;*/
/*    text-decoration-color: #6b8fbb;*/
/*}*/
.menu-item{
    position: relative;
}

#menu ul li:nth-child(5){
    border: 2px solid black;
    border-radius: 40px;
    padding: 1.2%;
    -webkit-box-shadow: 6px 6px 12px 0px rgba(0,0,0,0.61);
    -moz-box-shadow: 6px 6px 12px 0px rgba(0,0,0,0.61);
    box-shadow: 6px 6px 12px 0px rgba(0,0,0,0.61);
}

#menu ul li:nth-child(5):hover{
    background-color: #6b8fbb;
    border-color: #6b8fbb;

}

#menu ul li img{
    height: auto;
    width: 20%;
}


#menu ul li a{
    color: black;

}

/*Magic Menu */
.wee{
    height: 2px;
    width: 100%;
    background-color: #002b75;
    position: absolute;
    left: 0;
    bottom: 0;
    transition: 0.75s;
}



body{
    background-color: #effdf9;
}


#global{
    border-radius: 3px;
    width: 89%;
    margin: auto;
    height: 85vh;
}

.container{
    display: flex;
    flex-flow: row nowrap;
    margin-left: 22.5%;
    text-align: center;
    -webkit-box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
    -moz-box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
    box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);

}

.animation{
    -webkit-animation-name: fadeInRight;
    animation-name: fadeInRight;
    animation-duration: 4s;
}

@-webkit-keyframes fadeInRight {
    from {
        opacity: 0;
        -webkit-transform: translate3d(100%, 0, 0);
        transform: translate3d(100%, 0, 0);
    }

    to {
        opacity: 1;
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }
}

@keyframes fadeInRight {
    from {
        opacity: 0;
        -webkit-transform: translate3d(100%, 0, 0);
        transform: translate3d(100%, 0, 0);
    }

    to {
        opacity: 1;
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }
}

.arrow_right{
    position: absolute;
    left: 93%;
    top: 46%;
    font-size: 5em;
}

.arrow_right a i{
    color: blueviolet;
}


main {
    width: 100vw;
    /*-webkit-overflow-scrolling: touch;*/
    overflow: scroll;
    overflow-y:hidden;
}

.other_box{
    display: flex;
    flex-flow: row nowrap;

}


#aPropos{
    /*background-image: url("/images/fond3.1.jpg");*/
    /*background-size: cover;*/
    /*background-position:right ;*/
    background-image: url("/images/main_fond2.jpg");

    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;

    height: 85vh;
    width: 20%;
    position: fixed;
    text-align: center;
    border-right: 4px solid #002b75;

    -webkit-box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
    -moz-box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
    box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);


}

.animationApropos{
    /*Animation */
    -webkit-animation-name: bounceInLeft;
    animation-name: bounceInLeft;
    animation-duration: 4s;
}

/*Keyframe animation Apropos*/

@-webkit-keyframes bounceInLeft {
    from,
    60%,
    75%,
    90%,
    to {
        -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
        animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    }

    0% {
        opacity: 0;
        -webkit-transform: translate3d(-3000px, 0, 0);
        transform: translate3d(-3000px, 0, 0);
    }

    60% {
        opacity: 1;
        -webkit-transform: translate3d(25px, 0, 0);
        transform: translate3d(25px, 0, 0);
    }

    75% {
        -webkit-transform: translate3d(-10px, 0, 0);
        transform: translate3d(-10px, 0, 0);
    }

    90% {
        -webkit-transform: translate3d(5px, 0, 0);
        transform: translate3d(5px, 0, 0);
    }

    to {
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }
}

@keyframes bounceInLeft {
    from,
    60%,
    75%,
    90%,
    to {
        -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
        animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    }

    0% {
        opacity: 0;
        -webkit-transform: translate3d(-3000px, 0, 0);
        transform: translate3d(-3000px, 0, 0);
    }

    60% {
        opacity: 1;
        -webkit-transform: translate3d(25px, 0, 0);
        transform: translate3d(25px, 0, 0);
    }

    75% {
        -webkit-transform: translate3d(-10px, 0, 0);
        transform: translate3d(-10px, 0, 0);
    }

    90% {
        -webkit-transform: translate3d(5px, 0, 0);
        transform: translate3d(5px, 0, 0);
    }

    to {
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }
}

#aPropos i,#competences .competences i,.wrapper_experiences i,#etudes i,#personnalite i{
    color: orange;
    font-size: 1.1em;
    margin-right: 0.5%;
}

#aPropos img{
    z-index:99999999999;
    width: 35%;
    height: auto;
}

#aPropos p{
    margin-top: 7%;
    font-weight: bold;
    font-size: 1.1em;
    color: white;
}

#aPropos p:nth-child(3){
    margin-bottom:12%;
    margin-top: 10%;
}

#aPropos p a{
    color: #e5e5e5;
    text-decoration: underline;
    font-style: italic;
}

#competences,#experiences,#etudes,#personnalite,#contact{
    height: 85vh;
    min-width: 100%;
    margin:auto;
}

#competences{
    background-image: url("/images/fond2.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

#competences h2{
    margin-bottom: 3%;
}

#competences h3,p{
    margin-top: 4%;
}

#competences p{
    font-size: 1.1em;
}

.competences{
    padding: 2%;
    margin:0 20% 0 20%;
    background-color: rgba(255,255,255,0.3);
    -webkit-box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
    -moz-box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
    box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
}

#experiences{
    background-image: url("/images/fond2(verte).jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    width: 50%;
}

.wrapper_experiences{
    display: flex;
    flex-flow: row wrap;
}

#experiences p{
    margin-top: 0;
    font-size: 1.1em;
}

#experiences ul li{
    font-size: 1.1em;
    margin-bottom: 0.8%;
}

.tfe,.stage,.thales,.gardiennage,.hobbies,.qualite{
    width: 48%;
    margin: 1%;
    background-color: rgba(255,255,255,0.3);
    -webkit-box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
    -moz-box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
    box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
}

.taches_effectuees p{
    text-transform: uppercase;
}

.tfe,.stage{
    margin-bottom: 5%;
}

#personnalite{
    background-image: url("/images/fond2.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.wrapper_personnalite{
    display: flex;
    flex-flow: column wrap;
    align-content: center;
}

#personnalite h2{
    margin-bottom: 2.5%;
}

.qualite{
    margin-bottom: 2%;
}

#personnalite img{
    text-align: center;
    height: auto;
    width: 20%;

}

#etudes{
    background-image: url("/images/fond2(verte).jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

#etudes h2{
    margin-bottom: 2%;
}

#liste{
    width: 68%;
    text-align: center;
    margin: auto;
    padding: 1%;
    font-size: 1.1em;
    background-color: rgba(255,255,255,0.3);
    -webkit-box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
    -moz-box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
    box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
}

#liste p{
    margin-bottom: 4%;
}

#contact{
    background-image: url("/images/fond2(contact).jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;

}

/*form contact*/

input[type=text],input[type=email],input[type=tel], select, textarea {
    width: 100%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    margin-top: 6px;
    margin-bottom: 16px;
    resize: vertical;
}


input[type=submit] {
    background-color: #558acb;
    color: black;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

input[type=submit]:hover {
    background-color: #56a0e2;
}


#contact_wrapper{
    border-radius: 5px;
    width: 75%;
    background-color: rgba(255,255,255,0.3);
    padding: 2%;
    margin: auto;
    border-radius: 3px;
    -webkit-box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
    -moz-box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
    box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
}

#contact_wrapper form label:not(#center){
   float: left;
}


footer p {
    position: absolute;
    top: 80%;
    left: 54.7%;
    text-align: center;
}

footer p:nth-child(2){
    left: 61%;
}

footer p a {
    text-decoration: underline;
    color: black;
}


/*mentions légales*/
div#mentionsLegales{
    background-image:url("/images/main_fond2.jpg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}
div#fond_mentions_legales{
    text-align: center;
    background-color: rgba(255,255,255,0.5);
    width: 80%;
    height: auto;
    margin: auto;
    padding: 2%;
}

div#mentionsLegales p{
    margin-top: 0;
    line-height: 1.5em;

}

div#mentionsLegales a{
    color: black;
    text-decoration: underline;
}


.myButton2 {
    -moz-box-shadow: 0px 10px 14px -7px #276873;
    -webkit-box-shadow: 0px 10px 14px -7px #276873;
    box-shadow: 0px 10px 14px -7px #276873;
    background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #599bb3), color-stop(1, #408c99));
    background:-moz-linear-gradient(top, #599bb3 5%, #408c99 100%);
    background:-webkit-linear-gradient(top, #599bb3 5%, #408c99 100%);
    background:-o-linear-gradient(top, #599bb3 5%, #408c99 100%);
    background:-ms-linear-gradient(top, #599bb3 5%, #408c99 100%);
    background:linear-gradient(to bottom, #599bb3 5%, #408c99 100%);
    filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#599bb3', endColorstr='#408c99',GradientType=0);
    background-color:#599bb3;
    -moz-border-radius:8px;
    -webkit-border-radius:8px;
    border-radius:8px;
    display:inline-block;
    cursor:pointer;
    color:#ffffff;
    font-family:Arial;
    font-size:20px;
    font-weight:bold;
    padding:13px 32px;
    text-decoration:none;
    text-shadow:0px 1px 0px #3d768a;
}
.myButton2:hover {
    background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #408c99), color-stop(1, #599bb3));
    background:-moz-linear-gradient(top, #408c99 5%, #599bb3 100%);
    background:-webkit-linear-gradient(top, #408c99 5%, #599bb3 100%);
    background:-o-linear-gradient(top, #408c99 5%, #599bb3 100%);
    background:-ms-linear-gradient(top, #408c99 5%, #599bb3 100%);
    background:linear-gradient(to bottom, #408c99 5%, #599bb3 100%);
    filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#408c99', endColorstr='#599bb3',GradientType=0);
    background-color:#408c99;
}
.myButton2:active {
    position:relative;
    top:1px;
}


/*scrollBar personnalisée*/


::-webkit-scrollbar {
    width: 15px;
    height: 15px;
}
::-webkit-scrollbar-button {
    width: 0px;
    height: 0px;
}
::-webkit-scrollbar-thumb {
    background: #e1e1e1;
    border: 0px none #ffffff;
    border-radius: 50px;
}
::-webkit-scrollbar-thumb:hover {
    background: #ffffff;
}
::-webkit-scrollbar-thumb:active {
    background: #000000;
}
::-webkit-scrollbar-track {
    background: #666666;
    border: 0px none #ffffff;

}
::-webkit-scrollbar-track:hover {
    background: #666666;
}
::-webkit-scrollbar-track:active {
    background: #333333;
}
::-webkit-scrollbar-corner {
    background: transparent;
}

/* responsive */
@media screen and (max-width: 2268px ){
    #menu {
        width: 31%;
    }

    footer p:nth-child(2){
        left: 64%;
    }

    footer p{
        left: 50.7%;
    }
}

@media screen and (max-width: 2028px ){
#menu{
    width: 38%;
}
}

@media screen and (max-width: 1920px){
    #menu{
        margin-left: 31%;
        width: 45%;
    }

}

@media screen and (max-width:1709px ){
    #menu{
        width: 45%;
        margin-left: 31%;
    }
    #aPropos p {
        margin-top: 17%;
        font-size: 0.95em;
    }
    #aPropos p:nth-child(3) {
        margin-bottom: 18%;
        margin-top: 14%;
    }

    .competences {
        margin: 0 7% 0 7%;
    }

    .hobbies, .qualite {
        width: 89%;
    }

    #liste {
        width: 92%;
    }

    footer p {
        left: 52%;
        top: 83%;
    }

    footer p:nth-child(2) {
        left: 60%;
    }
}



@media screen and (max-width:1366px ) {
.traduction{
    left: 88%;
}

    h1{
        padding-top: 7%;
    }

    h2 {
        padding-top: 13%;
        margin-top: -6%;
    }

    #menu{

        position: fixed;
        background-color: rgba(255,255,255,0.8);
        width: 80%;
        margin-left: 8%;
        border-radius: 5px;
    }

    .container{
        flex-flow: column wrap;
        margin-left: 0;
        box-shadow: none;
    }

    main{
        width: 100%;
    }
    .other_box{

        flex-flow: column wrap;
        margin-left: 7%;
        margin-right: 6%;
        -webkit-box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
        -moz-box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
        box-shadow: 2px 7px 19px 0px rgba(0,0,0,0.75);
        border-radius: 0 0 20px 20px;
    }

    #aPropos img{
        z-index:99999999999;
        width: 10%;
        height: auto;

    }

    #aPropos{
        background-position: bottom 83% right 20%;
        position: initial;
        border-radius: 2% 2% 0 0;
        height: auto;
        width: 87%;
        text-align: center;
        margin-left: 7%;
        padding-bottom: 2%;
        border-bottom: 4px solid #002b75;
        border-right:none;


    }

    #aPropos p{
        margin-top: 4%;
        font-weight: bold;
        font-size: 1.1em;
    }



    #aPropos p:nth-child(3){
        margin-bottom:1%;
        margin-top: 4%;

    }

    #aPropos p:not(:nth-child(3)){
        text-align: right;
        margin-right: 9%;
    }

    #aPropos p:last-child{
        margin-bottom: 0;
    }

    #competences, #experiences, #etudes, #personnalite, #contact {
        height: auto;
        min-width: 100%;
        margin: auto;
        padding-bottom: 5%;
    }

    .tfe, .stage, .thales, .gardiennage{
        width: 100%;
    }

    .tfe, .stage, .thales{
        margin-bottom: 5%;
    }

    #contact_wrapper {
        width: 91%;
    }

    #contact{
        border-radius: 0 0 2% 2%;
    }

    #global{
        width: 100%;
        box-shadow: none;

        margin-right: 2%;
    }

    footer p{
        position: initial;
        margin-left: 2%;
    }

    footer p a{
        color: black;
    }
    footer p:nth-child(2){
        color: black;
    }
}

@media screen and (max-width: 1024px ){
    .traduction {
        top: 2%;
    }

    .hamburgeur {
        display: block;
        position: fixed;
        color: #002b75;
        font-size: 2.2em;
        left: 2%;
        top: 1%;
    }

    #menu ul li img {
        width: 10%;
    }

    #menu{

        position: fixed;
        background-color: rgba(52, 73, 94,0.97 );
        margin-left: 0;
        width: 50%;
        height: auto;
        padding-bottom: 2%;
        border-radius: 0 5% 5% 0;
        -webkit-box-shadow: 1px 6px 5px 4px rgba(0,0,0,0.66);
        -moz-box-shadow: 1px 6px 5px 4px rgba(0,0,0,0.66);
        box-shadow: 1px 6px 5px 4px rgba(0,0,0,0.66);

    }

    #menu ul{
        display: flex;
        flex-flow: column wrap;
        padding: 5%;

    }

    #menu ul li{
        padding: 5%;
        margin-top: 3%;
        border-radius: 5px;
        border: 2px solid black;
        -webkit-box-shadow: 1px 6px 5px 4px rgba(0,0,0,0.66);
        -moz-box-shadow: 1px 6px 5px 4px rgba(0,0,0,0.66);
        box-shadow: 1px 6px 5px 4px rgba(0,0,0,0.66);
    }

    #menu ul li:last-child{
        padding: 5%;
        margin-top: 3%;
        border-radius: 5px;
        border: 2px solid black;
        -webkit-box-shadow: 1px 6px 5px 4px rgba(0,0,0,0.66);
        -moz-box-shadow: 1px 6px 5px 4px rgba(0,0,0,0.66);
        box-shadow: 1px 6px 5px 4px rgba(0,0,0,0.66);
}

    #menu ul li a{
        color: white;
    }

    #aPropos{
        margin-top: 5%;
    }
    .close{
        font-size: 4em;
        margin-left: 38%;
        margin-top: 7%;
        display: block;
    }

    .visible {animation:.5s slideRight ease-in forwards; transition-delay:0;}
    .invisible {animation:3s slideLeft ease-out forwards; transition-delay:0;}

    /* Animations pour le menu slide */
    @keyframes slideRight {
        from {left:-25%;}
        to {left:0%;}
    }
    @-webkit-keyframes slideRight {
        from {left:-25%;}
        to {left:0%;}
    }
    @keyframes slideLeft {
        from {left:0%;}
        to {left:-100%;}
    }
    @-webkit-keyframes slideLeft {
        from {left:0%;}
        to {left:-100%;}
    }

    .showNav{
        display: none;
    }
    .js-hidden{
        display: none;
    }

    .js-opened{
        display: block;
    }
}

@media screen and (max-width: 415px ) {
    .traduction{
        top:0%;
    }

    .traduction p:nth-child(1){
        margin-right: 10%;
    }

    .traduction p a img{
        width: 100%;
    }

    .hobbies,.qualite{
        margin: 0 auto 2%;
    }
}


@media screen and (max-width: 380px ){
    .traduction{
        top:0%;
    }

    .traduction p:nth-child(1){
        margin-right: 10%;
    }

    .traduction p a img{
        width: 100%;
    }


    h3{
        font-size: 1.2em;
    }

    #aPropos img{
        width: 33%;
    }

    #aPropos p:nth-child(3) {
        margin-top: 7%;
    }

    #aPropos p {
        margin-top: 9%;
        font-size: 1em;
    }

   #competences p{
       font-size: 1em;
   }


    #experiences p {
        margin-top: 0;
        font-size: 1em;
    }
    #experiences ul li {
        font-size: 1em;
        margin-bottom: 0.8%;
    }

    #liste{
        font-size: 1em;
    }

    .hobbies,.qualite{
        margin: 0 auto 2%;
    }

#contact_wrapper {
    width: 92%;
    }
}

